var winId	= $.getUrlParam("winId");
var Label = top.$("#"+winId).panel("options").data.Label;
var detectortype=top.$("#"+winId).panel("options").data.detectortype;
//填充列表展示数据
function fetchData(num) {
	if(num==undefined ){
		num = 1;
	}
	var params ={};
	params.LIKEname=$("#LIKEname").val();
	var limit = 10;
	params.detectortype=detectortype;
	params.rows = limit;
	params.page = num ;
    var table_html = '';
    $.ajax({
		 type:'post',
		 dataType : 'json',
		 url : 'detectorAction!listDetectorByPage.do',
		 data:params,
		 success:function(data){
		    genHtml(data,num,limit)
		 }
	 });
}

//生成html
function genHtml(data,num,limit){
	var html = "";
	if (data && data.total > 0) {
			data.rows.forEach(function (item,index) {
				//经度、维度保留两位小数
				var jd = item.LONGITUDE==null?'':item.LONGITUDE;
				if(jd.length > 1){
					jd = parseFloat(jd).toFixed(2);
				}
				var wd = item.LATITUDE==null?'':item.LATITUDE;
				if(wd.length > 1){
					wd = parseFloat(wd).toFixed(2);
				}
				var datastr = {};
				datastr.id = item.id;
				datastr.bianma = item.bianma;
				datastr.name = item.name;
				html += '<tr data-json='+JSON.stringify(datastr)+' ondblclick="fillVideoData(this)"  onclick="selectTr(this)"><td>' + ((num-1)*limit+1+index) + '</td>' +
				 '<td>'+(item.id==null?'':item.id)+'</td>' +
			    '<td>'+(item.name==null?'':item.name)+'</td>' +
			    '<td>'+(item.roadid==null?'':item.roadid)+'</td>' +
			    '<td>'+(item.roadname==null?'':item.roadname)+'</td>' +
				'<td>'+(item.longitude==null?'':jd)+'</td>' +
			    '<td>'+(item.latitude==null?'':wd)+'</td>' ;
		    });
			if (num === 1) {
                $("#page").initPage(data.total, 1, function (index) {
                	fetchData(index);
    			});
            }
	}else{
		html = "<tr><td colspan='11'>暂无数据</td></tr>";
		$("#page").initPage(0, 1, function (index) {
		});
	}
	$('#tbody').html(html);
}


function fillVideoData(o){
	
	Label.filldetector(o);
	top.$(top.GETWIN(top.windowid)).destroy();
}
function selectTr(o){
	$("#list-show tr").css("backgroundColor",'white');
	$(o).css("backgroundColor",'#cccccc');
}
$(function(){
	fetchData(1);
 	$(".queryList").on("click",function(){
 		fetchData(1);
 	});
 	
 	$("#arcgisVideoList").find(".font14:eq(1)").click(function(){
 		parent.$("#arcgisIframe").hide();
 		parent.$(".esri-component").show();
 	});
 	
});


